Skip to main content
`Ctrl`+`K`

# PCShellSetApplyTranspose

Sets routine to use as preconditioner transpose.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCShellSetApplyTranspose(PC pc, PetscErrorCode (*applytranspose)(PC pc, Vec xin, Vec xout))

Logically Collective

## Input Parameters

- pc - the preconditioner context

- applytranspose - the application-provided preconditioning transpose routine

## Calling sequence of `applytranspose`

- pc - the preconditioner

- xin - input vector

- xout - output vector

## Note

You can get the `PCSHELL` context set with `PCShellSetContext()` using `PCShellGetContext()` if needed by `applytranspose`.

## See Also

KSP: Linear System Solvers, `PCSHELL`, `PCShellSetApplyRichardson()`, `PCShellSetSetUp()`, `PCShellSetApply()`, `PCShellSetContext()`, `PCShellSetApplyBA()`, `PCShellGetContext()`

## Level

intermediate

## Location

src/ksp/pc/impls/shell/shellpc.c

## Examples

src/tao/pde_constrained/tutorials/parabolic.c
src/tao/pde_constrained/tutorials/hyperbolic.c

## Implementations

PCShellSetApplyTranspose_Shell(PC pc, PetscErrorCode (*applytranspose)() in src/ksp/pc/impls/shell/shellpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages